get
https://api.azuga.com/azuga-ws/v1/timecard/.json
Use this API to get the details of a particular shift, by passing the shift ID as a parameter. Only one shift ID can be passed in a single API call. This API returns the shift timestamp and location.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request
API Response explanation
| Field | Description |
|---|---|
| eventTime | Time stamp of the event in milliseconds |
| address | Address of the shift location |
| city | City of the shift location |
| country | Country of the shift location |
| formattedAddress | Concatenated string containing the complete address |
| state | State of the shift location |
| zip | Postal code of the shift location |
| locality | Locality or the surrounding area of the shift location |
| latitude | Latitude coordinates of the shift location |
| longitude | Longitude coordinates of the shift location |
| accuracy | Precision of the location point |
| altitude | Elevation of the shift location |
| bearing | Used for navigation and direction |
| speed | Speed of the vehicle which is tracked |
| time | Address generation timestamp in milliseconds |
| mapProviderId | Unique identifier of the map provider (Google map, Bing map etc,.) |
| id | Unique shift identifier |
| eventType | Type of event. There are 4 types of events: 1 - Shift start, 2 - Break start, 3 - Break End, 4 - Shift End |
| comments | Additional information about the shift activity |
| error | Error message |

